# @(#)04  1.4 src/cmdline/staging/scripts/export_configuration_archive.py, amws.cmdline, fim611, 060921a 9/18/06 16:18:26
# (C) Copyright International Business Machines Corporation 2005. All rights 
# reserved.  U.S. Government Users Restricted Rights -- Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

from fim_base import read_properties_file, get_domain_instance
from domain_utils import export_configuration_archive, is_domain_present
from com.tivoli.am.fim.logging import FIMLoggerFactory
from com.tivoli.am.fim.logging import FIMLogger
from com.tivoli.am.fim.logging import FIMLevel
from com.tivoli.am.fim.i18n.msgs import CmdLineMessages
from jarray import array
from java.lang import Object
from com.tivoli.am.fim.logging import FIMLoggerConstants

# Set up FIMLogger
component_name = "StagingTools"
script_name = "export_configuration_archive.py"
method_name = script_name
class_name = "com.tivoli.am.fim.cmdline." + script_name[0:-3]
FIMLoggerFactory.enableStdout(FIMLevel.ALL)
FIMLoggerFactory.setPreferredFIMLoggerImpl(FIMLoggerConstants.FIMLOGGER_BASE_IMPL)
log = FIMLoggerFactory.getFIMLogger(component_name, class_name, CmdLineMessages.CLASS_NAME)

def usage():
    inserts = array([script_name],Object)
    log.logMessage(FIMLevel.INFO, method_name, CmdLineMessages.usage_export_configuration_archive, \
        inserts)
    raise SystemExit

if __name__ == 'main':

    if(len(sys.argv) < 2):
        usage()
        
    props_file = sys.argv[0]
    location = sys.argv[1]
    
    domain_props = read_properties_file(props_file)
    if not is_domain_present(domain_props):
        raise SystemExit
        
    domain = get_domain_instance(domain_props)    

    export_configuration_archive(domain, location)

    inserts = array([domain_props["Domain"]],Object)
    log.logMessage(FIMLevel.INFO, method_name, CmdLineMessages.exported_configuration_successfully, inserts)
    
    raise SystemExit

